Contribute to Haml Coffee
=========================

File an issue
-------------

You can report bugs and feature requests to [GitHub Issues](https://github.com/netzpirat/haml-coffee/issues).

**Please don't ask question in the issue tracker**, instead ask them at Stackoverflow and use the
[hamlc](http://stackoverflow.com/questions/tagged/hamlc) tag.

When you file a bug, please try to follow these simple rules if applicable:

* Make sure you've read the README carefully.
* Add the template source code and describe the expected outcome.
* Make sure that the issue is reproducible with your description.

**It's most likely that your bug gets resolved faster if you provide as much information as possible!**

Development
-----------

* Documentation hosted at [CoffeeDoc](http://coffeedoc.info/github/netzpirat/haml-coffee/master/).
* Source hosted at [GitHub](https://github.com/netzpirat/haml-coffee).

Pull requests are very welcome! Please try to follow these simple rules if applicable:

* Please create a topic branch for every separate change you make.
* Make sure your patches are well tested. All specs run with `guard` must pass.
* Update the [Codo](https://github.com/netzpirat/codo) documentation.
* Update the [README](https://github.com/netzpirat/haml-coffee/blob/master/README.md).
* Update the [CHANGELOG](https://github.com/netzpirat/haml-coffee/blob/master/CHANGELOG.md) for noteworthy changes.
* Please **do not change** the version number.

For questions please ask me directly on `#haml` (irc.freenode.net).
